Update a List of Options

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/iformbuilder-v80/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "iFormBuilder V80 MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/iformbuilder-v80/mcp"
  }
}

Close
PUT /profiles/{profile_id}/optionlists/{optionlist_id}/options

Path parameters

  • profile_id string Required

    id of the profile

  • optionlist_id number Required

    id of the option list

Query parameters

  • fields string

    extra information of each profile on the list

  • limit number

    maximum count of the profile list

  • offset number

    skip that many profiles before beginning to return

application/json

Body

  • condition_value string
  • id number
  • key_value string
  • label string
  • score number
  • sort_order number

Responses

  • 200 application/json

    OK

    Hide response attribute Show response attribute object
    • id number Required

      the updated option id

PUT /profiles/{profile_id}/optionlists/{optionlist_id}/options
curl \
 --request PUT 'https://api.iformbuilder.com/exzact/api/v80/%5Bservername%5D/profiles/self/optionlists/{optionlist_id}/options' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"condition_value":"false","id":268623880,"key_value":"na","label":"N/A","score":42.0,"sort_order":42.0}'
Request examples
{
  "condition_value": "false",
  "id": 268623880,
  "key_value": "na",
  "label": "N/A",
  "score": 42.0,
  "sort_order": 42.0
}
Response examples (200)
[
  {
    "id": 268623883
  },
  {
    "id": 268623886
  },
  {
    "id": 268623880
  }
]